Bug 90149 - Web Inspector: add v8 bindings memory info to the native memory graph
Summary: Web Inspector: add v8 bindings memory info to the native memory graph
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Yury Semikhatsky
URL:
Keywords:
Depends on:
Blocks: 87262 90358
  Show dependency treegraph
 
Reported: 2012-06-28 02:23 PDT by Yury Semikhatsky
Modified: 2012-07-02 00:05 PDT (History)
19 users (show)

See Also:


Attachments
Patch (14.42 KB, patch)
2012-06-28 02:38 PDT, Yury Semikhatsky
no flags Details | Formatted Diff | Diff
Patch (14.61 KB, patch)
2012-06-28 03:30 PDT, Yury Semikhatsky
pfeldman: review+
gyuyoung.kim: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yury Semikhatsky 2012-06-28 02:23:10 PDT
There are several maps in the binding layer that grow when number of nodes increases. They should be presented on the memory chart.
Comment 1 Yury Semikhatsky 2012-06-28 02:38:36 PDT
Created attachment 149907 [details]
Patch
Comment 2 Early Warning System Bot 2012-06-28 02:58:23 PDT
Comment on attachment 149907 [details]
Patch

Attachment 149907 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/13102964
Comment 3 Early Warning System Bot 2012-06-28 03:03:33 PDT
Comment on attachment 149907 [details]
Patch

Attachment 149907 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/13107110
Comment 4 Build Bot 2012-06-28 03:07:05 PDT
Comment on attachment 149907 [details]
Patch

Attachment 149907 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/13111045
Comment 5 Gyuyoung Kim 2012-06-28 03:08:36 PDT
Comment on attachment 149907 [details]
Patch

Attachment 149907 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/13107111
Comment 6 Yury Semikhatsky 2012-06-28 03:30:26 PDT
Created attachment 149914 [details]
Patch
Comment 7 Gyuyoung Kim 2012-06-28 18:19:43 PDT
Comment on attachment 149914 [details]
Patch

Attachment 149914 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/13118130
Comment 8 Pavel Feldman 2012-06-29 07:28:10 PDT
Comment on attachment 149914 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=149914&action=review

> Source/WebCore/bindings/js/ScriptProfiler.h:81
> +    static void collectBindingMemoryInfo(MemoryInstrumentation*) { }

Please file a bug requesting that it is implemented for JSC and put FIXME here.

> Source/WebCore/bindings/v8/V8Binding.cpp:95
> +    instrumentation->reportPointer(this, MemoryInstrumentation::Binding);

I wonder if we could have a macro for these...
Comment 9 Yury Semikhatsky 2012-07-02 00:03:04 PDT
Comment on attachment 149914 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=149914&action=review

>> Source/WebCore/bindings/js/ScriptProfiler.h:81
>> +    static void collectBindingMemoryInfo(MemoryInstrumentation*) { }
> 
> Please file a bug requesting that it is implemented for JSC and put FIXME here.

Done.
Comment 10 Yury Semikhatsky 2012-07-02 00:05:01 PDT
Committed r121658: <http://trac.webkit.org/changeset/121658>